# 📬 Gestor de Correos

Gestor de Correos es una aplicación de escritorio que permite **recibir, enviar y almacenar correos electrónicos** con una interfaz gráfica intuitiva basada en `tkinter`. Se conecta a un servidor **POP3/SMTP** para la gestión de emails y utiliza **MongoDB** para almacenar los correos descargados.

---

## 🚀 Características

✅ **Descargar correos** desde un servidor POP3  
✅ **Enviar correos** con o sin archivos adjuntos  
✅ **Almacenar y consultar** correos en una base de datos MongoDB  
✅ **Interfaz gráfica moderna** con `tkinter`  
✅ **Ejecución en segundo plano** mediante `threading`

---

## 📦 Dependencias

Este proyecto utiliza las siguientes bibliotecas:

| 📚 Dependencia | 🔍 Descripción |
|--------------|--------------|
| **tkinter** | Interfaz gráfica de usuario (GUI). |
| **poplib** | Recibir correos mediante el protocolo POP3. |
| **email** | Procesamiento y estructura de correos electrónicos. |
| **smtplib** | Envío de correos mediante SMTP. |
| **pymongo** | Conexión y gestión de base de datos en MongoDB. |
| **threading** | Hilos para ejecutar tareas en segundo plano. |
| **datetime** | Manejo de fechas y tiempos. |
| **re** | Validación de direcciones de correo mediante expresiones regulares. |
| **os** | Manipulación de archivos y directorios. |

> 📌 Todas estas bibliotecas son estándar de Python excepto `pymongo`, que se instala con:
> ```bash
> pip install pymongo
> ```

---

## ⚙️ Configuración

1️⃣ **Configurar credenciales de correo**  
   - Edita el archivo `modelo.py` y cambia las siguientes variables con las credenciales de tu servidor de correo:
   ```python
   EMAIL_USER = "tu_usuario@correo.com"
   EMAIL_PASS = "tu_contraseña"
